### Method

# Gtk Widget get_size_request

#### Declaration [src]

    void
    gtk_widget_get_size_request (
      GtkWidget* widget,
      int* width,
      int* height
    )

#### Description [src]

Gets the size request that was explicitly set for the widget using gtk_widget_set_size_request().

A value of -1 stored in `width` or `height` indicates that that dimension has not been set explicitly and the natural requisition of the widget will be used instead. See gtk_widget_set_size_request(). To get the size a widget will actually request, call gtk_widget_measure() instead of this function.

#### Parameters

`width` | `int*`
| Return location for width.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
`height` | `int*`
| Return location for height.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.